#!/bin/sh
export PATH='/usr/local/sbin:/usr/local/bin:/usr/bin:/usr/bin/site_perl:/usr/bin/vendor_perl:/usr/bin/core_perl'
echo 'name:                 one-liner
version:              1.0
visibility:           public
id:                   one-liner-1.0-EPtwFvpDkH1GB8xypCKnL5
key:                  one-liner-1.0-EPtwFvpDkH1GB8xypCKnL5
license:              BSD-3-Clause
maintainer:           sjoerd@w3future.com
author:               Sjoerd Visscher, Xia Li-yao
homepage:             https://github.com/sjoerdvisscher/one-liner
synopsis:             Constraint-based generics
description:
    Write short and concise generic instances of type classes.
    one-liner is particularly useful for writing default
    implementations of type class methods.

category:             Generics
abi:                  80ed1768fe156e2b5c692388aadc1a18
exposed:              True
exposed-modules:
    Generics.OneLiner Generics.OneLiner.Binary
    Generics.OneLiner.Classes Generics.OneLiner.Internal
    Generics.OneLiner.Internal.Unary

import-dirs:          /usr/lib/ghc-8.10.5/site-local/one-liner-1.0
library-dirs:         /usr/lib/ghc-8.10.5/site-local/one-liner-1.0
dynamic-library-dirs: /usr/lib
data-dir:             /usr/share/i386-linux-ghc-8.10.5/one-liner-1.0
hs-libraries:         HSone-liner-1.0-EPtwFvpDkH1GB8xypCKnL5
depends:
    base-4.14.2.0 bifunctors-5.5.11-5WHPU2oStxP1cNabXCzf9E
    contravariant-1.5.3-KWoYE9wiUjmElzHNq2wj10 ghc-prim-0.6.1
    profunctors-5.6.2-68Okl6PP0cYKcJgfa1by0Q
    tagged-0.8.6.1-F25vmSN4H5fEaMJYsLgYMV transformers-0.5.6.2

haddock-interfaces:   /usr/share/doc/haskell-one-liner/html/one-liner.haddock
haddock-html:         /usr/share/doc/haskell-one-liner/html
' | '/usr/bin/ghc-pkg' 'update' '--force' '-' '--global' '--no-user-package-db' "$@"

